#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  kdenlive-24.12.2

- Next

  khelpcenter-24.12.2

- Up
- Home

# KMix-24.12.2

## Introduction to KMix

The KMix package contains a KF6 based Sound Mixer application.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/24.12.2/src/kmix-24.12.2.tar.xz

- Download MD5 sum: 056b742471fdd5669c359cd854ec494e

- Download size: 1.1 MB

- Estimated disk space required: 27 MB

- Estimated build time: 0.2 SBU (using parallelism=4)

### KMix Dependencies

#### Required

KDE Frameworks-6.11.0

#### Recommended

alsa-lib-1.2.13

#### Optional

libcanberra-0.30 and PulseAudio-17.0

## Installation of KMix

Install KMix by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: kmix, kmixctrl, and kmixremote
Installed Libraries: libkmixcore.so
Installed Directories: $KF6_PREFIX/share/kmix and $KF6_PREFIX/share/doc/HTML/*/kmix

### Short Descriptions

kmix | is a mini audio mixer for kde
kmixctrl | is used to save or restore the settings of kmix
kmixremote | is a utility to mute, get and set volume levels

- Prev

  kdenlive-24.12.2

- Next

  khelpcenter-24.12.2

- Up
- Home